/**
 * The main entrypoint when using Deno as the runtime
 */
import { getTermios } from '../common/mod.ts';

export * from './terminal_io.ts';

export async function init() {
	const t = await getTermios();

	t.enableRawMode();

	globalThis.onbeforeunload = (): void => {
		console.info('Disabling raw mode');
		t.disableRawMode();
	};
}
